Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Content

Create Content
POST /contentmodules/{moduleId}/content
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content
Create a content post in a module with moduleId if the model is valid.

startDate and endDate should be provided in the following format: "yyyy-MM-ddTHH:mm:ss".

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
Request Body
application/json
object
  categoryId string / guid optional
  endDate string optional
  endDateTimeZone string optional
  locales array[object] required
   bodyText string optional
   culture string optional
   title string optional
  mediaIds array[string / guid] optional
  name string Max length: 128 required
  notifications object optional
   forceInstantPush boolean optional
   sendNotification boolean optional
   sendPushNotification boolean optional
  permissions array[object] required
   departments array[string / guid] required
   requireAllUserGroups boolean optional
   userGroups array[string / guid] required
  publishOnCreate boolean optional
  startDate string required
  startDateTimeZone string optional
Responses
application/json
JSON
{"data":{"id":"a7ce11f9-e289-419e-88cb-845a8bf5f183","url":null,"userId":"fc402adc-6ffe-415c-afe1-ad9693acc515","userUrl":null,"categoryId":"40ca38fb-90e4-44aa-bd75-7fc1ee0876e3","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-06-06T14:46:13.9014333+00:00","lastModifiedDateTime":"2026-06-07T10:46:13.9014333+00:00","availableFrom":"2026-06-07T14:46:13","startDateTimeZone":null,"availableUntil":"2026-06-08T14:46:13","endDateTimeZone":null,"medias":[{"id":"8c86cb93-ca11-4d4b-b3f9-d9631f153a4d","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"e93acf05-5248-4d13-9246-33c0343088f9","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"5a9a4be1-7fd2-49c4-83d6-8d76f2734f78","url":null},{"type":"Department","name":"Department name example","id":"44aa040a-5bf0-4b8b-9043-dd591b4a283b","url":null},{"type":"User group","name":"User group name example","id":"e91af8d2-c3d2-415e-bc2c-a7761b3387f7","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"ef137853-6760-4198-8a3d-538f58420bfc"}],"userGroups":[{"url":null,"name":"User group name example","id":"7ed1b7d9-f29a-4e53-9eaf-cb639d94b216"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string